#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 structured
version:              0.1.1
visibility:           public
id:                   structured-0.1.1-76lDly00UUYhEk6sSeT7v
key:                  structured-0.1.1-76lDly00UUYhEk6sSeT7v
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             Structure (hash) of your data types
description:
    Calculate the hash of a data structure.
    It can be used as a magic number for the serialization formats.
    See <https://hackage.haskell.org/package/binary-tagged binary-tagged>
    for a @binary@ bindings.

category:             Data
abi:                  81e85631835315c98a77babea29dfa05
exposed:              True
exposed-modules:      Data.Structured Data.Structured.Internal
hidden-modules:       Data.Structured.MD5
import-dirs:          /usr/lib/ghc-9.0.2/site-local/structured-0.1.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/structured-0.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/structured-0.1.1
hs-libraries:         HSstructured-0.1.1-76lDly00UUYhEk6sSeT7v
depends:
    aeson-1.5.6.0-3owcm84fHom1n9YasFrZna array-0.5.4.0 base-4.15.1.0
    base16-bytestring-1.0.2.0-DTZtbH7L4RRHlqwxEL4MPW binary-0.8.8.0
    bytestring-0.10.12.1 containers-0.6.4.1
    hashable-1.3.5.0-9wAI1WS8YgI32PWp14SUvr
    scientific-0.3.7.0-BsBomXmyxZ83le6niyPQQr
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR text-1.2.5.0
    time-compat-1.9.6.1-L74BI8Z5Q503H6JwEGVRnz transformers-0.5.6.2
    unordered-containers-0.2.16.0-1Aq3RvFeExnHwVVPAMjgwm
    uuid-types-1.0.5-IyYQ6rf5Jma7TsvO45RO2d
    vector-0.12.3.1-9b5AZF6dIkkH27fquwHf8K

haddock-interfaces:   /usr/share/doc/haskell-structured/html/structured.haddock
haddock-html:         /usr/share/doc/haskell-structured/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

